Bug 1021093 - gnome-shell hung with black screen after long period of inactivity
gnome-shell hung with black screen after long period of inactivity
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-19 06:36 EDT by Mikhail Moskalev
Modified: 2015-02-17 12:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:44:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages up to restart gnome-shell (1.78 MB, application/gzip)
2013-10-19 06:36 EDT, Mikhail Moskalev
no flags Details
dmesg up to restart gnome-shell (94.69 KB, text/plain)
2013-10-19 06:37 EDT, Mikhail Moskalev
no flags Details

  None (edit)
Description Mikhail Moskalev 2013-10-19 06:36:11 EDT
Created attachment 813952 [details]
messages up to restart gnome-shell

Description of problem:
Sometimes after long screen lock (> 1 hour) desktop wake with black screen and don't react on keyboard (except ctrl-alt-backspace, but it close session)
I can estimate probability of reproduction as 1/3 - 1/6

Version-Release number of selected component (if applicable):
GNOME Shell 3.8.4

How reproducible:
It meet in normal workflow
I can estimate probability of reproduction as 1/3 - 1/6
Not every time. Sure one time per week. Sometimes after break for a dinner.

Steps to Reproduce:
1. switch off monitor
2. wait more thah 1 hour
3. swith display on and move mouse to wake display

Actual results:
See black screen (display keep active)
If I switch to other PTY ctrl-alt-F2 and $ killall -9 gnome-shell, session unlocked.

Expected results:
See gnome-shell lock screen

Additional info:
Sometimes it restore itself over some seconds.
Comment 1 Mikhail Moskalev 2013-10-19 06:37:16 EDT
Created attachment 813953 [details]
dmesg up to restart gnome-shell
Comment 2 Steve Ross 2014-09-22 11:30:11 EDT
I see a similar problem on Fedora 20 with "gnome-shell-3.10.4-8". 

In my case, I manually lock the screen in the evening and it goes black almost immediately (as per https://bugzilla.redhat.com/show_bug.cgi?id=1020481).  The next morning I press the ESC key and the shell prompts me for my password and I log in.  This has never failed.  So far, so good.

However, when I lock the screen on a Friday night, and come back to it on Monday morning and hit ESC or move the mouse, the screen remains black.  This has happened four out of the last four weekends.  

So, a ~15-hour black screen doesn't invoke the problem, but ~65 hour black screen does.
Comment 3 Fedora End Of Life 2015-01-09 15:18:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 12:44:30 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.